// This code needs to be "#INCLUDE"d into each of the various programs
// used by this application ...:

// open the procedure file:
set procedure to GS_WebClass.cc additive
// create an instance of the class:
oCGI = new GS_WebClass()
// Set Up the connection for StdIn/StdOut ...
oCGI.Connect()
// Set the web master address, used in the error code
oCGI.setWebMasterAddress("dBASE@GoldenStag.net")

// Ensure that working directory is app directory:
set directory to left(_dbwinhome, len(_dbwinhome)-1 ) 


try
   // open the database:
   dCustomer = new Database()
   dCustomer.databaseName := "dBCon-WebApp"
   dCustomer.active       := true

   // open the table:
   qCustomer = new query()
   qCustomer.database     := dCustomer
   qCustomer.sql          := "select * from Customers"
   qCustomer.active       := true
   // create some shortcuts:
   rCustomer = qCustomer.rowset
   fCustomer = rCustomer.fields
   // set the index:
   rCustomer.indexName    := "LastFirstNames"

catch( Exception E )

   oCGI.errorPage( e )

endtry

// Stream out the HTML header tags and the Page Title:
try

   // Note -- if you leave the title blank, you will get 
   // the generic "Response Page" text in the titlebar
   // of the web page(s) streamed:
   oCGI.streamHeader("Golden Stag Productions: Customer Data")

   // Initialize the output string:
   oCGI.cOutString = "" 

   // Stream out the "Golden Stag Productions" title:
   oCGI.getTitle()

catch( Exception E )

   oCGI.errorPage( e )

endtry
    
// From here, each program will be different, so we don't need
// to put anything else in this code.